Package org.eclipse.net4j.ws

# Interface IWSNegotiationContext

All Superinterfaces:
  `org.eclipse.net4j.util.security.INegotiationContext`

public interface IWSNegotiationContext extends org.eclipse.net4j.util.security.INegotiationContext
A `negotiation context` that is used in Websocket transport.

Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.security.INegotiationContext

`org.eclipse.net4j.util.security.INegotiationContext.Receiver`

## Field Summary

### Fields inherited from interface org.eclipse.net4j.util.security.INegotiationContext

`NO_TIMEOUT`

## Method Summary

Modifier and Type
Method
Description
`IWSConnector`
`getConnector()`

### Methods inherited from interface org.eclipse.net4j.util.security.INegotiationContext

`getBuffer, getInfo, getReceiver, getState, setFinished, setInfo, setReceiver, setState, setUserID, transmitBuffer, waitUntilFinished`

## Method Details

### getConnector

IWSConnector getConnector()